All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Interface JavaScriptNodeInterface

All Known Implementing Classes:
  DataItemNode, JavaScriptNode, PercentItemNode, PropertyNode

    public interface JavaScriptNodeInterface

JavaScriptNodeInterface is an interface which provides access for creating a JavaScriptNode. A JavaScriptNode is used to construct a node in Java that will be created as a node in javascript.

Method Summary
`java.lang.String` | `createNodeParameterString(java.util.Map params)` Returns a String containing the name/value pairs of the properties to be passed to the JavaScript node constructor.
`java.lang.String` | `getCloneNodeFunctionName()` Gets the clone node function name for the JavaScriptNode.
`java.lang.String` | `getDeselectNodeFunctionName()` Gets the deselect node function name for the JavaScriptNode.
`java.lang.String` | `getDisabledImage()` Gets the disabled image source for the JavaScriptNode.
`java.lang.String` | `getImage()` Gets the image source for the JavaScriptNode.
`java.lang.String` | `getImageLocation()` Gets the image location for the image in the JavaScriptNode.
`int` | `getIndentionLevel()` Gets the indention level for the JavaScriptNode.
`java.lang.String` | `getNodeConstructorName()` Gets the node constructor name for the JavaScriptNode.
`java.util.Map` | `getNodeConstructorParameters()` Returns a Map containing the name/value pairs of the properties to be passed to the constructor.
`java.lang.String` | `getRenderNodeFunctionName()` Gets the render node function name for the JavaScriptNode.
`java.lang.String` | `getSelectNodeFunctionName()` Gets the select node function name for the JavaScriptNode.
`java.lang.String` | `getStyleClassPrefix()` Gets the style class prefix for the JavaScriptNode.
`java.util.Map` | `getStyleMap()` Returns the style map for this JavaScriptNode.
`java.lang.String` | `getText()` Gets the text of the JavaScriptNode.
`java.lang.String` | `getValue()` Gets the return value for the JavaScriptNode.
`boolean` | `isNoWrap()` Determines if node text should wrap.
`void` | `setCloneNodeFunctionName(java.lang.String value)` Sets the name of the javascript function to use to clone this object.
`void` | `setDeselectNodeFunctionName(java.lang.String value)` Sets the name of the javascript function to use when node is deselected.
`void` | `setDisabledImage(java.lang.String value)` Sets the source disabled image for the JavaScriptNode.
`void` | `setImage(java.lang.String value)` Sets the source image for the JavaScriptNode.
`void` | `setImageLocation(java.lang.String value)` Sets the image location for the image in the JavaScriptNode.
`void` | `setIndentionLevel(int value)` Sets the indention level for the JavaScriptNode.
`void` | `setNodeConstructorName(java.lang.String value)` Sets the name of the javascript function to use as the constructor for this object.
`void` | `setNoWrap(boolean value)` Sets whether or not to wrap the node text.
`void` | `setRenderNodeFunctionName(java.lang.String value)` Sets the name of the javascript function to use to render this object.
`void` | `setSelectNodeFunctionName(java.lang.String value)` Sets the name of the javascript function to use when node is selected.
`void` | `setStyleClassPrefix(java.lang.String value)` Sets the style class prefix for the JavaScriptNode.
`void` | `setText(java.lang.String value)` Sets the text of the JavaScriptNode.
`void` | `setValue(java.lang.String value)` Sets the return value for the JavaScriptNode.

Method Detail

### setText

    void setText(java.lang.String value)

  Sets the text of the JavaScriptNode.

  Parameters:
    `text` - The text

### getText

    java.lang.String getText()

  Gets the text of the JavaScriptNode.

  Returns:
    text The text

### setImage

    void setImage(java.lang.String value)

  Sets the source image for the JavaScriptNode.

  Parameters:
    `value` - The source for the image

### getImage

    java.lang.String getImage()

  Gets the image source for the JavaScriptNode.

  Returns:
    image The source of the image

### setDisabledImage

    void setDisabledImage(java.lang.String value)

  Sets the source disabled image for the JavaScriptNode.

  Parameters:
    `value` - The source for the disabled image

### getDisabledImage

    java.lang.String getDisabledImage()

  Gets the disabled image source for the JavaScriptNode.

  Returns:
    image The source of the disabled image

### setValue

    void setValue(java.lang.String value)

  Sets the return value for the JavaScriptNode.

  Parameters:
    `value` - The return value

### getValue

    java.lang.String getValue()

  Gets the return value for the JavaScriptNode.

  Returns:
    value The return value

### setIndentionLevel

    void setIndentionLevel(int value)

  Sets the indention level for the JavaScriptNode.

  Parameters:
    `value` - The indention level

### getIndentionLevel

    int getIndentionLevel()

  Gets the indention level for the JavaScriptNode.

  Returns:
    value The indention level

### setImageLocation

    void setImageLocation(java.lang.String value)

  Sets the image location for the image in the JavaScriptNode.

  Parameters:
    `value` - The image location

### getImageLocation

    java.lang.String getImageLocation()

  Gets the image location for the image in the JavaScriptNode.

  Returns:
    imageLocation The image location

### setStyleClassPrefix

    void setStyleClassPrefix(java.lang.String value)

  Sets the style class prefix for the JavaScriptNode.

  Parameters:
    `value` - The style class prefix

### getStyleClassPrefix

    java.lang.String getStyleClassPrefix()

  Gets the style class prefix for the JavaScriptNode.

  Returns:
    styleClassPrefix The style class prefix

### setCloneNodeFunctionName

    void setCloneNodeFunctionName(java.lang.String value)

  Sets the name of the javascript function to use to clone this object.

  Parameters:
    `value` - The clone node function name

### getCloneNodeFunctionName

    java.lang.String getCloneNodeFunctionName()

  Gets the clone node function name for the JavaScriptNode.

  Returns:
    cloneNodeFunctionName The clone node function name

### setSelectNodeFunctionName

    void setSelectNodeFunctionName(java.lang.String value)

  Sets the name of the javascript function to use when node is selected.

  Parameters:
    `value` - The select node function name

### getSelectNodeFunctionName

    java.lang.String getSelectNodeFunctionName()

  Gets the select node function name for the JavaScriptNode.

  Returns:
    selectNodeFunctionName The select node function name

### setDeselectNodeFunctionName

    void setDeselectNodeFunctionName(java.lang.String value)

  Sets the name of the javascript function to use when node is deselected.

  Parameters:
    `value` - The deselect node function name

### getDeselectNodeFunctionName

    java.lang.String getDeselectNodeFunctionName()

  Gets the deselect node function name for the JavaScriptNode.

  Returns:
    deselectNodeFunctionName The deselect node function name

### setNodeConstructorName

    void setNodeConstructorName(java.lang.String value)

  Sets the name of the javascript function to use as the constructor for this object.

  Parameters:
    `value` - The node constructor name

### getNodeConstructorName

    java.lang.String getNodeConstructorName()

  Gets the node constructor name for the JavaScriptNode.

  Returns:
    nodeConstructorName The node constructor name

### getNodeConstructorParameters

    java.util.Map getNodeConstructorParameters()

  Returns a Map containing the name/value pairs of the properties to be passed to the constructor.

  Returns:
    parameters The node constructor parameters

### createNodeParameterString

    java.lang.String createNodeParameterString(java.util.Map params)

  Returns a String containing the name/value pairs of the properties to be passed to the JavaScript node constructor.

  Parameters:
    `The` - map of node constructor parameters
  Returns:
    parameterString The JavaScript representation of the node constructor parameters

### setRenderNodeFunctionName

    void setRenderNodeFunctionName(java.lang.String value)

  Sets the name of the javascript function to use to render this object.

  Parameters:
    `value` - The render node function name

### getRenderNodeFunctionName

    java.lang.String getRenderNodeFunctionName()

  Gets the render node function name for the JavaScriptNode.

  Returns:
    renderNodeName The render node function name

### getStyleMap

    java.util.Map getStyleMap()

  Returns the style map for this JavaScriptNode.

  STYLE KEY | DEFAULT STYLE
  JAVASCRIPTNODE_IMAGE | NONE
  JAVASCRIPTNODE_TEXT | NONE
  JAVASCRIPTNODE_INDENT | NONE

  Returns:
    styles used for this JavaScriptNode

### setNoWrap

    void setNoWrap(boolean value)

  Sets whether or not to wrap the node text. FALSE by default.

  Parameters:
    `value` - TRUE to wrap node text.

### isNoWrap

    boolean isNoWrap()

  Determines if node text should wrap.

  Returns:
    TRUE if node text should wrap.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.